using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Diagnostics;
using System.IO;

namespace Zadanie
{
    internal class Program
    {
       
        static void Main(string[] args)
        {
            
        // try и catch конструкция, которая будет ловить ошибки в данном участке
            try
            {
                Console.WriteLine("Введите вклад");
                double vklad = double.Parse(Console.ReadLine()); // Внос данных с клавиатуры
                Console.WriteLine("Введите время вклада");
                int time = int.Parse(Console.ReadLine());        // Внос данных с клавиатуры      
                metodi metod = new metodi(); // обьявление метода
                metod.proc(vklad,time);
                File.WriteAllText("rez.txt",Convert.ToString(metod.proc(vklad, time)));
                Console.WriteLine(vklad);
            }
            catch(Exception)
            {
                TextWriterTraceListener[] traceListeners = new TextWriterTraceListener[1];
                {
                    new TextWriterTraceListener("debug.txt");
                }
                Debug.Listeners.AddRange(traceListeners);
                Debug.WriteLine("");
                Debug.Flush();
            }
            Console.ReadKey();
        }
    }
}
